<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/init.jsp" %>

<%
ResultRow row = (ResultRow)request.getAttribute(WebKeys.SEARCH_CONTAINER_RESULT_ROW);

UADApplicationSummaryDisplay uadApplicationSummaryDisplay = (UADApplicationSummaryDisplay)row.getObject();
%>

<c:if test="<%= uadApplicationSummaryDisplay.hasItems() %>">
	<liferay-ui:icon-menu
		direction="left-side"
		icon="<%= StringPool.BLANK %>"
		markupView="lexicon"
		message="<%= StringPool.BLANK %>"
		showWhenSingleIcon="<%= true %>"
	>
		<c:if test="<%= Validator.isNotNull(uadApplicationSummaryDisplay.getViewURL()) %>">
			<liferay-ui:icon
				message="view"
				url="<%= uadApplicationSummaryDisplay.getViewURL() %>"
			/>
		</c:if>

		<portlet:actionURL name="/anonymize_application_uad_entities" var="anonymizeUADEntitiesURL">
			<portlet:param name="redirect" value="<%= currentURL %>" />
			<portlet:param name="p_u_i_d" value="<%= String.valueOf(selectedUser.getUserId()) %>" />
			<portlet:param name="applicationKey" value="<%= uadApplicationSummaryDisplay.getApplicationKey() %>" />
		</portlet:actionURL>

		<liferay-ui:icon
			message="anonymize"
			url="<%= anonymizeUADEntitiesURL.toString() %>"
		/>

		<portlet:actionURL name="/delete_application_uad_entities" var="deleteUADEntitiesURL">
			<portlet:param name="redirect" value="<%= currentURL %>" />
			<portlet:param name="p_u_i_d" value="<%= String.valueOf(selectedUser.getUserId()) %>" />
			<portlet:param name="applicationKey" value="<%= uadApplicationSummaryDisplay.getApplicationKey() %>" />
		</portlet:actionURL>

		<liferay-ui:icon
			message="delete"
			url="<%= deleteUADEntitiesURL.toString() %>"
		/>
	</liferay-ui:icon-menu>
</c:if>